## SwItem

SwItem

## Functions

SwItem * | sw_item_new ()
void | sw_item_set_service ()
SwService * | sw_item_get_service ()
void | sw_item_put ()
void | sw_item_take ()
void | sw_item_request_image_fetch ()
const char * | sw_item_get ()
int | sw_item_compare_date_older ()
int | sw_item_compare_date_newer ()
void | sw_item_dump ()
GHashTable * | sw_item_peek_hash ()
gboolean | sw_item_get_ready ()
void | sw_item_push_pending ()
void | sw_item_pop_pending ()
void | sw_item_touch ()
time_t | sw_item_get_mtime ()
gboolean | sw_item_equal ()
SwSet * | sw_item_set_new ()

## Properties

gboolean | ready | Read

## Signals

void | changed | Run First

## Types and Values

| SwItem
| SwItemClass

## Object Hierarchy

        GObject
        ╰── SwItem

## Implemented Interfaces

SwItem implements SwCacheable.

## Description

## Functions

### sw_item_new ()

    SwItem *
    sw_item_new (void);

### sw_item_set_service ()

    void
    sw_item_set_service (SwItem *item,
                         SwService *service);

### sw_item_get_service ()

    SwService *
    sw_item_get_service (SwItem *item);

### sw_item_put ()

    void
    sw_item_put (SwItem *item,
                 const char *key,
                 const char *value);

### sw_item_take ()

    void
    sw_item_take (SwItem *item,
                  const char *key,
                  char *value);

### sw_item_request_image_fetch ()

    void
    sw_item_request_image_fetch (SwItem *item,
                                 gboolean delays_ready,
                                 const gchar *key,
                                 const gchar *url);

### sw_item_get ()

    const char *
    sw_item_get (const SwItem *item,
                 const char *key);

### sw_item_compare_date_older ()

    int
    sw_item_compare_date_older (SwItem *a,
                                SwItem *b);

### sw_item_compare_date_newer ()

    int
    sw_item_compare_date_newer (SwItem *a,
                                SwItem *b);

### sw_item_dump ()

    void
    sw_item_dump (SwItem *item);

### sw_item_peek_hash ()

    GHashTable *
    sw_item_peek_hash (SwItem *item);

### sw_item_get_ready ()

    gboolean
    sw_item_get_ready (SwItem *item);

### sw_item_push_pending ()

    void
    sw_item_push_pending (SwItem *item);

### sw_item_pop_pending ()

    void
    sw_item_pop_pending (SwItem *item);

### sw_item_touch ()

    void
    sw_item_touch (SwItem *item);

### sw_item_get_mtime ()

    time_t
    sw_item_get_mtime (SwItem *item);

### sw_item_equal ()

    gboolean
    sw_item_equal (SwItem *a,
                   SwItem *b);

### sw_item_set_new ()

    SwSet *
    sw_item_set_new (void);

## Types and Values

### SwItem

    typedef struct _SwItem SwItem;

### SwItemClass

    typedef struct {
      GObjectClass parent_class;
      void (*changed)(SwItem *item);
    } SwItemClass;

## Property Details

### The `“ready”` property

      “ready”                    gboolean

Whether item is ready to set out.

Flags: Read

Default value: FALSE

## Signal Details

### The `“changed”` signal

    void
    user_function (SwItem  *switem,
                   gpointer user_data)

Flags: Run First